View Issue Details

IDProjectCategoryLast Update
0019380AI War 2[All Projects] GUIFeb 1, 2018 5:53 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.703 
Fixed in Version0.703 
Summary0019380: HandleItemMouseover does not work
DescriptionTo try to get appropriate tooltips for mouseover for dropdowns, it seems the desired idiom is something like
            public override void HandleItemMouseover(IArcenUI_Dropdown_Option Item)
            {
                MapTypeData ItemAsType = (MapTypeData)Item.GetItem();
                Window_AtMouseTooltipPanel.bPanel.Instance.SetText(ItemAsType.Description);
            }

Unfortunately, this code never seems to be triggered. HandleOverallMouseover works just fine though.
TagsNo tags attached.

Relationships

child of 0019357 resolvedBadgerBadger Need tooltips on every dropdown, and each dropdown item, in the lobby and so forth. 

Activities

x4000Bughunter

Jan 26, 2018 7:58 pm

administrator   ~0046756

Blah, that's one for me -- thanks. I'm not sure what I fouled up there; if it's in the code or in the prefab. But I'll check it out on Sunday most likely. Spent a lot of this afternoon on prepping voice acting stuff. Got most of the actors and actresses picked out.

x4000Bughunter

Jan 31, 2018 5:17 pm

administrator   ~0046799

This is a fun one. It was never implemented at all, now that we're using TextMeshPro. I think originally it was implemented with the unity dropdowns, but those have horrible-looking text that is hard to read and performs bad. TMP doesn't really do a good job of exposing a way of doing this, though, and so I have to get creative. Or get the source code -- we're entitled to it, so I'm going to try that instead. Then it should be a pretty easy thing to mod in.

x4000Bughunter

Feb 1, 2018 5:53 pm

administrator   ~0046818

Finally got this one! Whew, what a long battle. :P

Issue History

Date Modified Username Field Change
Jan 26, 2018 6:39 pm BadgerBadger New Issue
Jan 26, 2018 6:39 pm BadgerBadger Status new => assigned
Jan 26, 2018 6:39 pm BadgerBadger Assigned To => keith.lamothe
Jan 26, 2018 6:39 pm BadgerBadger Relationship added child of 0019357
Jan 26, 2018 7:58 pm x4000Bughunter Note Added: 0046756
Jan 26, 2018 7:58 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Jan 31, 2018 5:17 pm x4000Bughunter Note Added: 0046799
Feb 1, 2018 5:53 pm x4000Bughunter Status assigned => resolved
Feb 1, 2018 5:53 pm x4000Bughunter Resolution open => fixed
Feb 1, 2018 5:53 pm x4000Bughunter Fixed in Version => 0.703
Feb 1, 2018 5:53 pm x4000Bughunter Note Added: 0046818